int pam_config(nssov_info *ni,TFILE *fp,Operation *op)
{
	int reqflags = 0;
	int pamflags = 0;
	int32_t tmpint32;
	struct paminfo pi;
	int rc;

	Debug(LDAP_DEBUG_TRACE,"nssov_pam_config()\n",0,0,0);

	READ_INT32(fp,reqflags);

	Debug(LDAP_DEBUG_TRACE, "reqflags (%d)\n", reqflags,0,0);

	BER_BVZERO(&pi.msg);

	switch (reqflags) {
	case NSLCD_PAM_CONFIG_INIT:
		/* request for all available pam config parameters */
		/* add more flags when needed */
		if (!BER_BVISEMPTY(&ni->ni_pam_password_prohibit_message)) {
			pamflags |= NSLCD_PAM_PWD_PROHIBIT_MSG;
		}
		rc = NSLCD_PAM_SUCCESS;
		Debug(LDAP_DEBUG_TRACE, "pamflags (%d)\n", pamflags,0,0);
		break;
	case NSLCD_PAM_PWD_PROHIBIT_MSG:
		/* request for pam password_prothibit_message */
		/* nssov_pam prohibits password  */
		if (!BER_BVISEMPTY(&ni->ni_pam_password_prohibit_message)) {
			Debug(LDAP_DEBUG_TRACE,"nssov_pam_config(): %s (%s)\n",
				"password_prohibit_message",
				ni->ni_pam_password_prohibit_message.bv_val,0);
				ber_str2bv(ni->ni_pam_password_prohibit_message.bv_val,
					0, 0, &pi.msg);
		}
		/* fall through */
	default:
		rc = NSLCD_PAM_SUCCESS;
	}

done:;
	WRITE_INT32(fp,NSLCD_VERSION);
	WRITE_INT32(fp,NSLCD_ACTION_PAM_CONFIG);
	WRITE_INT32(fp,NSLCD_RESULT_BEGIN);
	WRITE_INT32(fp,rc);
	if (reqflags == NSLCD_PAM_CONFIG_INIT)
	{
		/* request pam config flags, write flags */
		WRITE_INT32(fp,pamflags);
	} else {
		/* request pam config values, write values */
		WRITE_BERVAL(fp,&pi.msg);
	}
	return 0;
}

